


from Ft.Ods import Database
from Ft.Ods.StorageManager.Adapters import Constants
from Ft.Ods.MetaData import Expression
from Ft.Ods.MetaData import Constant
from Ft.Ods.MetaData import UnionCase

import test_metadata_util

def test(tester,klass):


    tester.startGroup("Operand Interface on %s" % klass.__name__)

    db = Database.Database()

    
    test_metadata_util.test_form_drop(tester,klass,'operand_in',Expression.Expression)
    test_metadata_util.test_form_drop(tester,klass,'value_of',Constant.Constant)

    def GetCollection():
        from Ft.Ods.MetaData import Collection
        from Ft.Ods.MetaData import CollectionKind
        c = Collection.Collection(collection_kind=CollectionKind.CollectionKind.ck_list)
        return c
    test_metadata_util.test_form_drop(tester,klass,'size_of',GetCollection)
    test_metadata_util.test_form_drop(tester,klass,'case_in',UnionCase.UnionCase)


    tester.groupDone()
