




def test1(db):

    #Simple test
    st = 'select * from students'
    print "Test 1: %s" % st

    rt = db._ftods_query(st)
    print rt
    print rt._ftods_getContents()

def test2(db):

    #Simple test
    st = 'select * from students as s'
    print "Test 1: %s" % st

    rt = db._ftods_query(st)
    print rt
    print rt._ftods_getContents()

def test3(db):

    #Simple test
    st = 'select s.name from students as s'
    print "Test 1: %s" % st

    rt = db._ftods_query(st)
    print rt
    print rt._ftods_getContents()


if __name__ == '__main__':

    import sys
    init = len(sys.argv) - 1
    if init:
        import os
        os.system("/usr/local/bin/4odb_destroy.py test")
        os.system("/usr/local/bin/4odb_create.py test")
        os.system("/usr/local/bin/OdlParse.py -p -i --db=test ../../../test_suite/varsity6.odl")

    from Ft.Ods import Database
    db = Database.Database()
    db.open('test')

    if init:
        import Student

        tx = db._ftods_getTxFactory().new()
        tx.begin()

        s1 = Student.new(db)
        s1.name = 'Maro Faustus'
        s2 = Student.new(db)
        s2.name = 'Mike'

        tx.commit()

    tx = db._ftods_getTxFactory().new()
    tx.begin()

    test1(db)
    #test2(db)
    test3(db)
