from Ft.Ods.StorageManager.Adapters import Constants


odl_string = '''
module Test {

class Student
{
	attribute string name;
	attribute unsigned short student_id;
        attribute short age;
        attribute double weight;
};

};

'''



def test():
    from Ft.Ods import Database
    from Ft.Ods import StorageManager

    from Ft.Ods.Parsers.Odl import OdlParse
    OdlParse.parse(1,1,'test',1,'',0,odl_string)

    from Test import Student


     #First create a couple of instances so we can dump something
     

    db = Database.Database()
    db.open('test')

    tx = db.new()
    tx.begin()

    s1 = Student.new()
    s1.name = "Student 1"
    s1.student_id = 10
    s1.age = 25
    s1.weight = 230.34

    s2 = Student.new()
    s2.name = "Student 2"
    s2.student_id = 15
    s2.age = 35
    s2.weight = 120.01

    tx.commit()

    tx = db.new()
    tx.begin()

    sm = StorageManager.StorageManager('test')

    print sm._4ods_dumpOif()

    db.close()


if __name__ == '__main__':

    import sys
    if len(sys.argv) > 1:
        import os
        os.system('4odb_destroy.py test')
        os.system('4odb_create.py test')

    import time
    start = time.time()
    test()
    end = time.time()
    print "Total Time %f" % (end - start)
