import os

#
# A script to put some interesting data into the database to test out METADIG
#


odl_string = '''
module Test {

class Person {
  const string MALE = "Male";
  const string FEMALE = "Female";
  attribute string name;
};

class Professor;

class Student extends Person (extent students)
{
	attribute string name;
        relationship Professor taught_by inverse Professor::teaches;

};

enum Day {Mon,Tue,Wed,Thu,Fri,Sat,Sun};

class Professor extends Person {
    attribute Day dayOff;
    relationship list<Student> teaches inverse Student::taught_by;
  };
    
};
'''
#'

DBNAME=os.environ.get("ODS_TEST_DB","ods:test")



if __name__ == '__main__':

    import os
    os.system('4odb_destroy test')
    os.system('4odb_create test')
    from Ft.Ods.Parsers.Odl import OdlParse
    OdlParse.parse(1,0,DBNAME,1,'',odl_string)

