import sys

#Very order specific!!!

g_testDirs = ('StorageManager',
              'MetaData',
              'Collections',
              )

g_tests = ('test_global_cache',
           'test_storage_manager',
           'test_persistent_object',
           'test_collection',
           'test_module',
           'test_collection_base',
           'test_all_collections',
           'test_create_and_destroy', #At this point the basic infastructure has been tested
           'test_all_metadata',
           'test_interface_creation',
           )
            


from Ft.Ods.StorageManager import GlobalCache
from Ft.Ods.StorageManager.Adapters import ClassCache


def test(tester):

    for d in g_testDirs:
        sys.path.append(d)

    for t in g_tests:
        GlobalCache.GlobalCache().purgeAll()
        ClassCache.ClassCache().purgeAll()
        m = __import__(t)
        m.test(tester)
    











if __name__ == '__main__':
    from Ft.Lib import TestSuite
    tester = TestSuite.TestSuite(1,1)
    test(tester)
