import time, whrandom
class Test:
    def __init__(self):
        self.__objectCache = []
        print "Initializing"
        start = time.time()
        for a in range(32):
            for b in range(32):
                for c in range(32):
                    for d in range(32):
                        self.__objectCache.append((a,b,c,d))
        print "Create: %s secs" % str(time.time() - start)

    def find(self, subject, predicate, object):
        if subject and predicate and object:
            return filter(lambda x, s=subject, p=predicate, o=object:
                            x[0] == s and x[1] == p and x[2] == o,
                            self.__objectCache)
        if subject and predicate:
            return filter(lambda x, s=subject, p=predicate:
                            x[0] == s and x[1] == p,
                            self.__objectCache)
        if subject and object:
            return filter(lambda x, s=subject, o=object:
                            x[0] == s and x[2] == o,
                            self.__objectCache)
        if predicate and object:
            return filter(lambda x, p=predicate, o=object:
                            x[1] == p and x[2] == o,
                            self.__objectCache)
        if subject:
            return filter(lambda x, s=subject:
                            x[0] == s,
                            self.__objectCache)
        if predicate:
            return filter(lambda x, p=predicate:
                            x[1] == p,
                            self.__objectCache)
        if object:
            return filter(lambda x, o=object:
                            x[2] == o,
                            self.__objectCache)

t = Test()
gen = whrandom.whrandom()
a = gen.randint(0,31)
b = gen.randint(0,31)
c = gen.randint(0,31)

start = time.time()
t.find(a,b,c)
end = time.time()
print "Find:", float(end-start)

