

def test(driverFactory,init):


    from Ft.Rdf import Model
    from Ft.Rdf import Container

    if init:

        try:
            driverFactory.DestroyDb('test')
        except:
            pass
        db = driverFactory.CreateDb('test')
    else:
        db = driverFactory.DbAdapter('test')

    db.begin()

    m = Model.Model('',db)

    print "Test Bags"
    b = Container.Bag("Test URI",['B1','B2','B3'])
    m.addContainer(b)
    m._dump()
    b = m.extractContainer("Test URI")
    print b

    
    db = driverFactory.DbAdapter('test')
    db.begin()
    m = Model.Model('',db)
    print "Test Seq"
    s = Container.Sequence(None,['S1','S2','S3'])
    uri = m.addContainer(s)
    print uri
    m._dump()
    s = m.extractContainer(uri)
    print s

    db = driverFactory.DbAdapter('test')
    db.begin()
    m = Model.Model('',db)
    print "Test Alt"
    a = Container.Alternative(None,['A1','A2','A3'])
    uri = m.addContainer(a)
    m._dump()
    a = m.extractContainer(uri)
    print a


if __name__ == '__main__':
    import sys
    init = 0
    if len(sys.argv) > 1:
        init = 1

    #from Ft.Rdf.Drivers import Postgres
    from Ft.Rdf.Drivers import Memory

    test(Memory,init)
    
