import DomTree
from xml.xpath import Util



def testBigIndex():

    from xml.dom.ext.reader import Sax2

    doc = Sax2.FromXmlFile("profile_data/open-talk.xml")

    sTime = time.time()
    Util.IndexDocument(doc)
    print "Index Time: %f" % (time.time() - sTime)
    



def test(index):

    if index:
        sTime = time.time()
        Util.IndexDocument(DomTree.ROOT.ownerDocument)
        print "Index Time: %f" % (time.time() - sTime)


    sTime = time.time()
    rt = Util.SortDocOrder([DomTree.ROOT,DomTree.CHILD1,DomTree.CHILD2])
    print "Index Sort: %f" % (time.time() - sTime)
    DomTree.PrintList(rt)

    print "Next"
    sTime = time.time()
    rt = Util.SortDocOrder([DomTree.CHILD2,DomTree.GCHILD22,DomTree.CHILD1])
    print "Index Sort: %f" % (time.time() - sTime)
    DomTree.PrintList(rt)

    print "Next"
    sTime = time.time()
    rt = Util.SortDocOrder([DomTree.CHILD1,DomTree.GCHILD22,DomTree.GCHILD11,DomTree.ATTR1])
    print "Index Sort: %f" % (time.time() - sTime)
    DomTree.PrintList(rt)
    
if __name__ == '__main__':
    import time,sys
    index = 0
    if len(sys.argv) > 1:
        index = 1
    start = time.time()
    print "Start: ",time.asctime(time.localtime(start))
    test(index)
    end = time.time()
    print "End: ",time.asctime(time.localtime(end))
    print "Delta: ",str(end-start)

    testBigIndex()
