from xml.xpath import FT_EXT_NAMESPACE , Evaluate
from xml.xpath import pDomlette
from xml.xpath.Context import Context
import time, cStringIO

source_1 = """<?xml version="1.0"?>
<spam1>
    <spam2>
        <eggs>
            <foo>a</foo>
        </eggs>
    </spam2>
    <spam3/>
    <bar/>
</spam1>
"""

expected_1 = ("", "", "")


def Test():
    reader = pDomlette.PyExpatReader()
    stream = cStringIO.StringIO(source_1)
    dom = reader.fromStream(stream)
    con = Context(dom, 1, 1, processorNss={'ft': FT_EXT_NAMESPACE })

    start = time.time()
    e1 = Evaluate("//*[ft:match('spam.*', name())]", context=con)
    end = time.time()
    result = (e1)
##    result = (e1, e2, e3)
##    if result != expected_1:
##        raise Exception('Failed.  Expected\n"""%s"""\ngot\n"""%s"""'%(repr(expected_1), repr(result)))
    print '*** Result (time: %.3f seconds) ***'%(end - start)
    print result


if __name__ == '__main__':
    Test()
