#Tamito KAJIYAMA <kajiyama@grad.sccs.chukyo-u.ac.jp> caught us forgetting to encode comment and PI output

import sys
sys.path.append("../")
import test_harness

sheet_1 = """<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="iso-8859-1"/>

<xsl:template match="para">
<para><xsl:value-of select="."/></para>
</xsl:template>

<xsl:template match="note">
<xsl:comment><xsl:value-of select="."/></xsl:comment>
</xsl:template>

</xsl:stylesheet>"""

expected_1 = """<?xml version='1.0' encoding='iso-8859-1'?>\012\012<para>H\344agen-Dazs</para>\012<!--H\344agen-Dazs-->\012"""


def Test(tester):


    cont = 0
    res = 1
    tester.startGroup("Borrowed: tk_20001125.py")
    tester.startTest("Version Check")
    if sys.version[0] != '2':
        tester.warning("Python 2.0 only")
        cont = 0    
    
    tester.testDone()
    if cont:

        source_1 = """\
<?xml version="1.0"?>
<doc>
<para>H\344agen-Dazs</para>
<note>H\344agen-Dazs</note>
</doc>"""

        source_1 = utf8.encode(source_1)


        source = test_harness.FileInfo(string=source_1)
        sty = test_harness.FileInfo(string=sheet_1)
        xtest = test_harness.XsltTester(source,
                                        [sty],
                                        expected,
                                        )

        res = xtest.test(tester)

    tester.groupDone()
    return res




    processor = Processor()
    processor.appendStylesheetString(sheet_1)
    start = time.time()
    result = processor.runString(source_1)
    end = time.time()
    if result != expected_1:
        raise Exception('Case 1 failed.  Expected\n"""%s"""\ngot\n"""%s"""'%(repr(expected_1), repr(result)))
    print '*** Result (time: %.3f seconds) ***'%(end - start)
    print result

if __name__=='__main__':
    from Ft.Lib import TestSuite
    tester = TestSuite.TestSuite(1,1)
    Test(tester)

