


from Ft.Ods import Database
from Ft.Ods.StorageManager.Adapters import Constants
import test_metaobject, test_metadata_util

def test(tester,klass):


    test_metaobject.test(tester,klass)

    tester.startGroup("Type Interface on %s" % klass.__name__)

    db = Database.Database()


    def GetCollection():
        from Ft.Ods.MetaData import Collection
        from Ft.Ods.MetaData import CollectionKind
        c = Collection.Collection(collection_kind=CollectionKind.CollectionKind.ck_list)
        c.name='col1'
        return c
    test_metadata_util.test_form_drop(tester,klass,'collections',GetCollection,nSided=1)
    def GetDictionary():
        from Ft.Ods.MetaData import Dictionary
        d = Dictionary.Dictionary()
        d.name='dict1'
        return d
    test_metadata_util.test_form_drop(tester,klass,'dictionaries',GetDictionary,nSided=1)
    def GetSpecifier():
        from Ft.Ods.MetaData import UnionCase
        u = UnionCase.UnionCase()
        u.name='uc1'
        return u
    test_metadata_util.test_form_drop(tester,klass,'specifiers',GetSpecifier,nSided=1)
    def GetUnion():
        from Ft.Ods.MetaData import Union
        u = Union.Union()
        u.name='u1'
        return u
    test_metadata_util.test_form_drop(tester,klass,'unions',GetUnion,nSided=1)
    def GetOperation():
        from Ft.Ods.MetaData import Operation
        u = Operation.Operation()
        u.name='u1'
        return u
    test_metadata_util.test_form_drop(tester,klass,'operations',GetOperation,nSided=1)
    def GetProperty():
        from Ft.Ods.MetaData import Attribute
        a = Attribute.Attribute()
        a.name='a1'
        return a
    test_metadata_util.test_form_drop(tester,klass,'properties',GetProperty,nSided=1)
    def GetConstant():
        from Ft.Ods.MetaData import Constant
        c = Constant.Constant()
        c.name='const1'
        return c
    test_metadata_util.test_form_drop(tester,klass,'constants',GetConstant,nSided=1)
    def GetTypeDef():
        from Ft.Ods.MetaData import TypeDefinition
        t = TypeDefinition.TypeDefinition()
        t.name='td1'
        return t
    test_metadata_util.test_form_drop(tester,klass,'type_defs',GetTypeDef,nSided=1)

    tester.groupDone()

