
import os
DBNAME=os.environ.get("ODS_TEST_DB","ods:test")


def test():

    #Test parsing a bunch of expressions

    exprs = ['15',
             '15.0',
             "'a'",
             '"ABC"',
             '"String With Spaces"',
             'true',
             'false'
             ]

    from Ft.Ods import Database
    db = Database.Database()
    db.open(DBNAME)
    tx = db.new()
    tx.begin()

    from Ft.Ods.Parsers.Odl import OdlParserImp

    p = OdlParserImp.OdlParserImp()

    for e in exprs:
        print "Parse %s" % e
        e = p.parseExpression(e)
        print e._4ods_getOdl()


if __name__ == '__main__':
    test()
