

class TestClass:
    pass


class TestEnum:
    def __init__(self,v):
        self._v = v

class TestClassType:
    def __init__(self):
        self.meta_kind = TestEnum(1)
        self.repoId = 52

    def _4ods_getTupleTypes(self):
        return (20,20,20)

    def _4ods_getBases(self):
        return (2,)

class TestStructType:
    def __init__(self):
        self.meta_kind = TestEnum(17)
        self.repoId = 51

    def _4ods_getTupleTypes(self):
        return (20,21,20)
    def _4ods_getBases(self):
        return (3,)

import pg
def test(dbName):

    from Ft.Ods.StorageManager.Adapters import Postgres

    try:
        Postgres.DestroyDb(dbName)
    except pg.error:
        pass
    Postgres.CreateDb(dbName)

    db = Postgres.DbAdapter(dbName)

    tc = TestClassType()
    ts = TestStructType()
    db.insertRepositoryType(ts)
    db.insertRepositoryType(tc)


    db.insertObject(52,1,12)
    db.writeObject(52,1,(1,2,3))


    db.commit()



if __name__ == '__main__':

    import sys
    dbName = sys.argv[1]
    test(dbName)
