from Ft.Ods.StorageManager.Adapters import Constants


odl_string = '''
module Test {


enum WeekDays {Mon,Tue,Wed,Thu,Fri,Sat,Sun};

class Professor {
  attribute WeekDays foo;
};
};
'''



def test():
    from Ft.Ods import Database
    from Ft.Ods import StorageManager

    from Ft.Ods.Parsers.Odl import OdlParse
    OdlParse.parse(1,1,'test',1,'',0,odl_string)

    import sys

    db = Database.Database()
    db.open('test')

    tx = db.new()
    tx.begin()

    sm = StorageManager.StorageManager('test')
    sm._4ods_loadOif(sys.stdin.read())

    tx.commit()

    tx = db.new()
    tx.begin()

    sm._4ods_dumpOif(sys.stdout)

    #tx.commit()

    db.close()


if __name__ == '__main__':

    import sys
    if len(sys.argv) > 1:
        import os
        os.system('4odb_destroy.py test')
        os.system('4odb_create.py test')

    import time
    start = time.time()
    test()
    end = time.time()
    print "Total Time %f" % (end - start)
