


class Literal:
    def __init__(self):
        self.lid = 0
    def _4ods_getLid(self):
        return self.lid
    def _4ods_setLid(self,lid):
        self.lid = self.lid

class Object:
    def __init__(self):
        self.oid = 0
    def _4ods_getOid(self):
        return self.oid
    def _4ods_setOid(self,oid):
        self.oid = oid

class RepositoryObject:
    def __init__(self,rid=0):
        self.rid = rid

    def _4ods_getRepoId(self):
        return self.rid

    def _4ods_setRepoId(self, rid):
        self.rid = rid



def test():

    from Ft.Ods import Database

    d = Database.Database()

    d.open('test')

    tx = d.new()


    tx.begin()

    tx._4ods_registerRepositoryObject(RepositoryObject())
    tx._4ods_registerRepositoryObject(RepositoryObject(1))
    tx._4ods_registerObject(Object())
    tx._4ods_registerLiteral(Literal())

    tx._4ods_deleteRepositoryObject(RepositoryObject())
    tx._4ods_deleteObject(Object())
    tx._4ods_deleteLiteral(Literal())

    tx.commit()

    d.close()

if __name__ == '__main__':
    test()
