import sys
from xml.dom.ext.reader import PyExpat
from Ft.Rdf.Serializers.Dom import Serializer
from Ft.Rdf.Drivers import Memory
from xml.dom.ext import PrettyPrint
from Ft.Rdf import Model

mem = Memory.DbAdapter('')

# kludge for memory object
mem.begin()

model = Model.Model('', mem)

reader = PyExpat.Reader()
szr = Serializer()
doc = reader.fromUri(sys.argv[1])
szr.deserialize(model, doc, 'http://foo/')

nss = {}
nss["http://purl.org/metadata/dublin_core#"] = 'dc'
doc = szr.serialize(model, nss)
PrettyPrint(doc)

