def test(tester=None):
    if tester is None:
        import TestSuite
        tester = TestSuite.TestSuite()

    tester.startGroup('Simple XLinks')

    tester.startTest('Creating test environment')
    from xml.dom.ext import PrettyPrint
    from Ft.Lib import DomReader
    from Ft.XLink.Processor import Processor
    p = Processor()
    tester.testDone()

    tester.startTest('Checking simple document')
    doc = p.runUri('addr_book1.xml')

    PrettyPrint(doc)
    tester.testDone()

    return tester.groupDone()

if __name__ == '__main__':
    import sys

    retval = test()
    sys.exit(retval)
