#
# File Name:        File Name
#
# Documentation:    http://docs.fourthought.com/file/name.html
#


def test():

    import DomTree, sys
    from xml.xpath import Context
    from xml.xpath import XPathParser

    rootContext = Context.Context(DomTree.ROOT,1,1)
    child1Context = Context.Context(DomTree.CHILD1,1,3)
    child2Context = Context.Context(DomTree.CHILD2,2,3)
    textContext = Context.Context(DomTree.TEXT1,3,3)
    gchild11Context = Context.Context(DomTree.GCHILD11,1,2)

    p = XPathParser.XPathParser()
    path = '//GCHILD|CHILD1'
    print path
    parsedE = p.parseExpression(path)
    print parsedE
    rt = parsedE.evaluate(rootContext)
    print rt
    DomTree.PrintList(rt)

if __name__ == '__main__':
    test()
