#!/usr/bin/env python
########################################################################
#
# File Name:   test.pt
#
# Docs:        http://docs.4suite.com/XPath/test_suite/test.py.html
#

#[preferably one-line description of file]
#WWW: http://4suite.com/XPATH        e-mail: support@4suite.com
#
#Copyright (c) 1999 FourThought LLC, USA.   All Rights Reserved.
#See  http://4suite.com/COPYRIGHT  for license and copyright information

disabled = """
             'TestParsedAxisSpecifier',
             'TestParsedLocationPath',
             'TestUtil'
"""

TestFiles = ['TestBooleanExpr',
             'TestCoreFunctions',
             'TestNodeSetExpr',
             'TestNumber',
             'TestParsedAbbreviatedAbsoluteLocationPath',
             'TestParsedAbbreviatedRelativeLocationPath',
             'TestParsedAbsoluteLocationPath',
             'TestParsedNodeTest',
             'TestParsedPredicateList',
             'TestParsedRelativeLocationPath',
             'TestParsedStep',
             'TestParsedTokens',
             'TestPathParser',
             ]


def test(tester=None):
    if tester is None:
        import TestSuite
        tester = TestSuite.TestSuite()

    tester.startGroup('XPath Test Suite')

    for file in TestFiles:
        m = __import__(file)
        m.test(tester)

    tester.groupDone()

if __name__ == '__main__':
    test()
