from xml.xpath import Evaluate
from xml.xpath import pDomlette
import time, cStringIO

source_1 = """<?xml version="1.0"?>
<elementList>
    <element>
        <x>
            <y>a</y>
        </x>
    </element>
    <element>
        <x>
            <y>z</y>
        </x>
    </element>
</elementList>"""

expected_1 = ("", "", "")


def Test():
    reader = pDomlette.PyExpatReader()
    stream = cStringIO.StringIO(source_1)
    dom = reader.fromStream(stream)

    start = time.time()
    e1 = Evaluate("//element[descendant::y[.='z']]", dom)
    e2 = Evaluate("//element[descendant::y[.='z']][1]", dom)
    e3 = Evaluate("//element[descendant::y[.='z']][2]", dom)
    end = time.time()
    result = (e1, e2, e3)
##    if result != expected_1:
##        raise Exception('Failed.  Expected\n"""%s"""\ngot\n"""%s"""'%(repr(expected_1), repr(result)))
    print '*** Result (time: %.3f seconds) ***'%(end - start)
    print result


if __name__ == '__main__':
    Test()
