import test_harness


expected = """<HTML>
  <HEAD>
    <META HTTP-EQUIV='Content-Type' CONTENT='text/html; charset=UTF-8'>
    <TITLE>Address Book</TITLE>
  </HEAD>
  <BODY>
    <H1>Tabulate just the Names</H1>
    <TABLE>
      <TR>
        <TD ALIGN='CENTER'>
          <B ID='&#10;        Pieter Aaron&#10;        404 Error Way&#10;        404-555-1234&#10;        404-555-4321&#10;        404-555-5555&#10;        pieter.aaron@inter.net&#10;    '>Pieter Aaron</B>
        </TD>
      </TR>
      <TR>
        <TD ALIGN='CENTER'>
          <B ID='&#10;        Emeka Ndubuisi&#10;        42 Spam Blvd&#10;        767-555-7676&#10;        767-555-7642&#10;        800-SKY-PAGEx767676&#10;        endubuisi@spamtron.com&#10;    '>Emeka Ndubuisi</B>
        </TD>
      </TR>
      <TR>
        <TD ALIGN='CENTER'>
          <B ID='&#10;        Vasia Zhugenev&#10;        2000 Disaster Plaza&#10;        000-987-6543&#10;        000-000-0000&#10;        vxz@magog.ru&#10;    '>Vasia Zhugenev</B>
        </TD>
      </TR>
    </TABLE>
  </BODY>
</HTML>"""

def Test(tester):


    tester.startGroup("Keys")

    source = test_harness.FileInfo(uri="addr_book1.xml",nsAware = 0)
    sty = test_harness.FileInfo(uri="addr_book_keyed.xsl")
    xtest = test_harness.XsltTester(source,
                                    [sty],
                                    expected,
                                    )

    res = xtest.test(tester)
    tester.groupDone()
    return res

if __name__ == '__main__':
    from Ft.Lib import TestSuite
    tester = TestSuite.TestSuite(1,1)
    Test(tester)
