from Ft.Lib import cDomlettec
from Ft.Lib import cDomlette
from xml.dom import ext


def print_node(node):
    print "Node: ",node
    print "\tNodeName: ",node.nodeName
    print "\tNodeValue: ",node.nodeValue
    print "\tNodeType: ",(node.nodeType)
    print "\tNamespace: ",node.namespaceURI
    print "\tPrefix: ",node.prefix
    print "\tLocalName: ",node.localName
    print "\tParent Node: ",str(node.parentNode)
    print "\tOwner Document: ",str(node.ownerDocument)
    print "\tFirst Child: ",str(node.firstChild)
    print "\tLast Child: ",str(node.lastChild)
    print "\tPrevious Sibling: ",str(node.previousSibling)
    print "\tNext sibling: ",str(node.nextSibling)
    print "\tWith %d Children" % len(node.childNodes)
    for c in node.childNodes:
        print "\t\t%s" %c.nodeName
    print "\tWith %d Attributes" % len(node.attributes)
    for a in node.attributes.values():
        print "\t\t%s=%s" %(a.name,a.value)

    if node.nodeType == cDomlette.Node.DOCUMENT_NODE:
        print "\tDocument Element: ",str(node.documentElement)
    if node.nodeType == cDomlette.Node.ELEMENT_NODE:
        print "\tTagName: ",str(node.tagName)
    if node.nodeType == cDomlette.Node.TEXT_NODE:
        print "\tData: ",str(node.data)
    if node.nodeType == cDomlette.Node.COMMENT_NODE:
        print "\tData: ",str(node.data)
    if node.nodeType == cDomlette.Node.ATTRIBUTE_NODE:
        print "\tOwnerElement: ",str(node.ownerElement)
    if node.nodeType == cDomlette.Node.PROCESSING_INSTRUCTION_NODE:
        print "\tTarget: ",str(node.target)
        print "\tData: ",str(node.data)
        

def test(tester):

    
    tester.startGroup("cDomlette")
    tester.startTest("cDomlette")
    tester.warning("Does not properly use test suite")
    tester.warning("Does not tested")
    tester.testDone()
    tester.groupDone()
    return

    print dir(cDomlettec)

    doc =  cDomlettec.test()

    print_node(doc)
    print_node(doc.childNodes[0])
    print_node(doc.childNodes[1])
    print_node(doc.documentElement)
    for attr in doc.documentElement.attributes.values():
        print_node(attr)
    print_node(doc.documentElement.childNodes[0])
    print_node(doc.documentElement.childNodes[1])
    print_node(doc.documentElement.childNodes[2])
    print_node(doc.documentElement.childNodes[1].childNodes[0])


    #print doc == doc
    #print doc == doc.documentElement
    #print doc in [doc]
    #print doc in [doc.documentElement]
    #print doc not in [doc]
    #print doc not in [doc.documentElement]

    print doc.documentElement == doc.documentElement.attributes.values()[0]
    print doc.documentElement == doc.documentElement.childNodes[1].childNodes[0]


    print "*"*100
    ext.PrettyPrint(doc)

    #print "Delete"
    #print sys.getrefcount(doc)
    #cDomlettec.ReleaseNode(doc);
    #del doc
    #print "Done"




if __name__ == '__main__':
    from Ft.Lib import TestSuite
    tester = TestSuite.TestSuite(1,1)
    
    test(tester)
